# Extra repositories
curl -fsSL https://download.docker.com/linux/ubuntu/gpg \
    | sudo gpg --dearmor -o /usr/share/keyrings/docker-archive-keyring.gpg
echo \
  "deb [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/docker-archive-keyring.gpg] https://download.docker.com/linux/ubuntu \
  $(lsb_release -cs) stable" | sudo tee /etc/apt/sources.list.d/docker.list > /dev/null

# Update package lists
apt-get update

# Docker runtime
apt-get install --yes --no-install-recommends \
    docker-ce docker-ce-cli containerd.io

# ESP8266/ESP32 tooling
apt-get install --yes --no-install-recommends \
    picocom
pip3 install \
    adafruit-ampy \
    esptool

# CAD stuff
apt-get install --yes --no-install-recommends \
    kicad \
    openscad
